Bug 149748 - Kudzu segfaults on boot and whenever run from command line
Summary: Kudzu segfaults on boot and whenever run from command line
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 21:54 UTC by Jeff Davis
Modified: 2014-03-17 02:52 UTC (History)
2 users (show)

Fixed In Version: 1.1.116-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 18:35:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's a backtrace (634 bytes, text/plain)
2005-02-25 21:56 UTC, Jeff Davis
no flags Details

Description Jeff Davis 2005-02-25 21:54:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
segfaults after new kernel install.  Also segfaults with -p. 




Version-Release number of selected component (if applicable):
kudzu-1.1.68.2-1

How reproducible:
Always

Steps to Reproduce:
1.Run Kudzu
2.
3.
    

Actual Results:  Segmentation fault

Expected Results:  Should just run

Additional info:

Comment 1 Jeff Davis 2005-02-25 21:56:14 UTC
Created attachment 111445 [details]
Here's a backtrace

Comment 2 Bill Nottingham 2005-02-25 22:16:56 UTC
Can you attach your /proc/sys/dev/parport/*/autoprobe?

Comment 3 Jeff Davis 2005-02-25 23:44:32 UTC
it sez:

MANUFACTURER:HEWLETT-PACKARD;

The system has a HP Color Laserjet 5m

Comment 4 Jeff Davis 2005-02-25 23:47:24 UTC
cat-ed out the stuff in /proc/sys/dev/parport/default as well...

# cat /proc/sys/dev/parport/default/spintime
500
# cat /proc/sys/dev/parport/default/timeslice
200


Comment 5 Bill Nottingham 2005-02-28 21:48:54 UTC
It only has the manufacturer line? Hm.

Comment 6 Jeff Davis 2005-03-01 01:04:17 UTC
Yup...  What else should it have?  do you need anything else from my
system's configs?

Comment 7 Jeff Davis 2005-03-01 01:05:16 UTC
Not sure if this is germaine, but this started after updating to the
2.6.10-x kernel 

Comment 8 Bill Nottingham 2005-03-01 02:03:48 UTC
If you've got the old kernel, the contents of those files there may be
useful.

Comment 9 Matthew Miller 2005-04-26 15:27:17 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 10 Bill Nottingham 2005-04-28 18:35:14 UTC
A fix added in CVS, will be in 1.1.116-1 and later.


Note You need to log in before you can comment on or make changes to this bug.